#ifndef CMAINWINDOW_H
#define CMAINWINDOW_H

#include <QMainWindow>
#include <QUrl>

namespace Ui {
    class CMainWindow;
}

class CMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit CMainWindow(QWidget *parent = 0);
    ~CMainWindow();

public slots:

    void OnLink(QUrl);

private:

    // Utility functions
    void LoadDataDumpFiles();

    // HTML functions
    void DoQuestionsByVotes();

    // Ui
    Ui::CMainWindow *ui;
};

#endif // CMAINWINDOW_H
